I have a 2DS, just updated right now. What is the best flashcard I can get?

Discussion in '3DS - Flashcards & Custom Firmwares' started by TheFriendlyBroski, Dec 17, 2014.

  1. TheFriendlyBroski
    OP

    TheFriendlyBroski Member

    Newcomer
    14
    0
    Dec 17, 2014
    London
    Anyone care to help me out? Looking to play GBA and DS games and hopefully 3DS roms in the future!
    Quite new to using flash cards and any price is reasonable for me so fire away :)
    Also, any UK links to discussed flash cards would be a great help! As there are tons of websites and I am not sure which is trusted.
     


  2. Schizoanalysis

    Schizoanalysis From somewhere inside the rabbit hole...

    Member
    2,785
    368
    Jun 23, 2009
    ...
    Whoops. Then better give up on 3DS roms for the near future.

    For DS & GBA, get a SupercardDSTWO.
     
    Margen67 likes this.
  3. satel

    satel Luigi's Big Brother

    Member
    1,588
    605
    Nov 3, 2004
    East Timor
    i recommend this shop www.yeahgeek.com

    if your 3ds firmware is above 9.2 then you won't be able to play 3ds games from a flash card.
     
    Margen67 and CarefulCrysis like this.
  4. Livin in a box

    Livin in a box Livin' in a cardboard box

    Member
    1,794
    86
    Jul 18, 2008
    Purgatory
    I assume you're on 9.4.0-21E then? The only flashcard that will let you play 3DS ROMs right now is the Sky3DS, and for DS and GBA games I believe the Supercard DSTWO still works with the latest firmware versions.
     
  5. TheFriendlyBroski
    OP

    TheFriendlyBroski Member

    Newcomer
    14
    0
    Dec 17, 2014
    London
    Thanks for the heads up guy's, so the Supercard DSTWO is the one I want to go get? What makes that one the best out of all the others as of now?
     
  6. Gamemaster1379

    Gamemaster1379 GBAtemp Advanced Fan

    Member
    588
    82
    May 5, 2008
    United States
    United States
    Incorrect. That I understand, SKY3DS supports up to 9.4.

    Bear in mind though, SKY3DS comes with some controversy surrounding it. It's not guaranteed that SKY3DS will continue to support major updates. SKY3DS lacks regionfree capability, and has no means of Homebrew, emuNAND, or anything to that effect. It's strictly ROMs.
     
    2Hack and Margen67 like this.
  7. Adeka

    Adeka Beta Tester

    Member
    4,086
    1,266
    Mar 19, 2013
    United States
    It's the only one that can play GBA games
     
  8. Gamemaster1379

    Gamemaster1379 GBAtemp Advanced Fan

    Member
    588
    82
    May 5, 2008
    United States
    United States
    I don't own one myself, but from what I hear it's one of the few still active dev teams that continue to work on features such as 3ds support.

    And somebody correct me if I'm wrong, but the DSTWO is the one with the built in processor, allowing for things like GBA emulation?
     
  9. Livin in a box

    Livin in a box Livin' in a cardboard box

    Member
    1,794
    86
    Jul 18, 2008
    Purgatory
    It does have its own CPU for emulation, yes.
     
  10. Adeka

    Adeka Beta Tester

    Member
    4,086
    1,266
    Mar 19, 2013
    United States
    You are 100% correct. The card is a few years old and they have never made us upgrade to a newer card.
     
    Margen67 likes this.
  11. satel

    satel Luigi's Big Brother

    Member
    1,588
    605
    Nov 3, 2004
    East Timor

    you are right. sorry about that

    here is a link for the new version the BLUE SKY3DS http://www.yeahgeek.com/buy-new-blu...shcard-for-nintendo-3ds-new3ds-2ds-p-990.html
     
  12. DragonFireXY

    DragonFireXY Member

    Newcomer
    45
    14
    Aug 17, 2014
    Canada
    Gamemaster the Sky3ds can run homebrew if you install Cubic Ninja to it.
     
  13. Adeka

    Adeka Beta Tester

    Member
    4,086
    1,266
    Mar 19, 2013
    United States
    But that won't work on a 9.4 3ds
     
    Margen67 likes this.
  14. Livin in a box

    Livin in a box Livin' in a cardboard box

    Member
    1,794
    86
    Jul 18, 2008
    Purgatory
    That is true for lower firmwares but the OP has updated their 2DS so won't be able to use Ninjhax as it is blocked.
     
  15. DragonFireXY

    DragonFireXY Member

    Newcomer
    45
    14
    Aug 17, 2014
    Canada
    I just realized that. Sorry for the misinformation.
     
    Margen67 and Livin in a box like this.
  16. Gamemaster1379

    Gamemaster1379 GBAtemp Advanced Fan

    Member
    588
    82
    May 5, 2008
    United States
    United States
  17. TheFriendlyBroski
    OP

    TheFriendlyBroski Member

    Newcomer
    14
    0
    Dec 17, 2014
    London
    Can the Supercard DSTWO run any SNES emulators?
     
  18. CarefulCrysis

    CarefulCrysis GBAtemp Fan

    Member
    396
    112
    Jan 25, 2013
    Birmingham, United Kingdom
    Margen67 and satel like this.
  19. Gamemaster1379

    Gamemaster1379 GBAtemp Advanced Fan

    Member
    588
    82
    May 5, 2008
    United States
    United States
    A valid point, though that still has its own firmware limitation imposed as others have stated.

    Though Ninjhax's spectrum of abilities is still limited to strictly homebrew.

    I was about to say that Gateway offers the exclusivity of running devkit tools to install CIAs and the like--but i come to realize the dev tool files are just ROMs, are they not? What stops Sky3DS users from running dev tools to install CIA files?
     
  20. Livin in a box

    Livin in a box Livin' in a cardboard box

    Member
    1,794
    86
    Jul 18, 2008
    Purgatory
    Yes, I think CATSFC is the best one at the moment.